Create an import (get upload URLs)
curl --request POST \
--url https://api.sentralbee.app/v1/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
"products",
"product_variants"
]
}
'import requests
url = "https://api.sentralbee.app/v1/imports"
payload = { "files": ["products", "product_variants"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: ['products', 'product_variants']})
};
fetch('https://api.sentralbee.app/v1/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"import_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploads": [
{
"file": "products",
"url": "<string>",
"key": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"request_id": "<string>"
}
}Imports
Create an import (get upload URLs)
Declares the files in a batch and returns a presigned PUT URL per file. Upload each CSV to its URL, then call submit.
POST
/
imports
Create an import (get upload URLs)
Authorizations
Workspace API key. The workspace is derived from the key.
Body
application/json
Template keys included in this batch.
Available options:
tax_class, tax_rates, products, product_variants, customers, orders, order_items, product_components, fulfillments Example:
["products", "product_variants"]

